GWT 2.7.0

## com.google.gwt.core.ext.soyc.coderef
Class MemberDescriptor

    java.lang.Object
      com.google.gwt.core.ext.soyc.coderef.EntityDescriptor
          com.google.gwt.core.ext.soyc.coderef.MemberDescriptor

Direct Known Subclasses:
  FieldDescriptor, MethodDescriptor

    public abstract class MemberDescriptor

extends EntityDescriptor

Represents an abstract member, such as a field or a method. It is keep simple and will be serialized to json.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.core.ext.soyc.coderef.EntityDescriptor
`EntityDescriptor.Fragment`

Field Summary
`protected ClassDescriptor` | `enclosingClassDescriptor`
`protected java.lang.String` | `type` The member's type represents the type of the member value when it is accessed (fields) or when it is called (methods).

Fields inherited from class com.google.gwt.core.ext.soyc.coderef.EntityDescriptor
`fragments, name, obfuscatedNames`

Constructor Summary
`protected` | `MemberDescriptor(ClassDescriptor owner, java.lang.String name)`

Method Summary
`ClassDescriptor` | `getEnclosingClassDescriptor()`
`java.lang.String` | `getFullName()` Returns the full qualified name.
`abstract java.lang.String` | `getJsniSignature()` The signature of the member.
`java.lang.String` | `getType()` Returns the members value type, ie.

Methods inherited from class com.google.gwt.core.ext.soyc.coderef.EntityDescriptor
`addFragment, addObfuscatedName, getFragments, getName, getObfuscatedNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    protected java.lang.String type

  The member's type represents the type of the member value when it is accessed (fields) or when it is called (methods). It is in jsni format.

### enclosingClassDescriptor

    protected final ClassDescriptor enclosingClassDescriptor

Constructor Detail

### MemberDescriptor

    protected MemberDescriptor(ClassDescriptor owner,
                               java.lang.String name)

Method Detail

### getEnclosingClassDescriptor

    public ClassDescriptor getEnclosingClassDescriptor()

### getJsniSignature

    public abstract java.lang.String getJsniSignature()

  The signature of the member.

  Returns:
    The member name plus its signature

### getType

    public java.lang.String getType()

  Returns the members value type, ie. a field will return its type and a method will return its return type, in jsni format.

### getFullName

    public java.lang.String getFullName()

  Description copied from class: `EntityDescriptor`
  Returns the full qualified name.

  Specified by:
    `getFullName` in class `EntityDescriptor`

GWT 2.7.0